### Method

# Vte Terminal get_termprop_value

since: 0.78

#### Declaration [src]

    gboolean
    vte_terminal_get_termprop_value (
      VteTerminal* terminal,
      const char* prop,
      GValue* gvalue
    )

#### Description [src]

Returns `TRUE` with the value of `prop` stored in `value` (if not `NULL`) if, the termprop has a value, or `FALSE` if `prop` is unset, or `prop` is not a registered property; in that case `value` will not be set.

The value type returned depends on the termprop type: * A `VTE_PROPERTY_VALUELESS` termprop stores no value, and returns `FALSE` from this function. * A `VTE_PROPERTY_BOOL` termprop stores a `G_TYPE_BOOLEAN` value. * A `VTE_PROPERTY_INT` termprop stores a `G_TYPE_INT64` value. * A `VTE_PROPERTY_UINT` termprop stores a `G_TYPE_UINT64` value. * A `VTE_PROPERTY_DOUBLE` termprop stores a `G_TYPE_DOUBLE` value. * A `VTE_PROPERTY_RGB` termprop stores a boxed `GdkRGBA` value with alpha 1.0 on gtk3, and nothing on gtk4. * A `VTE_PROPERTY_RGBA` termprop stores a boxed `GdkRGBA` value on gtk3, and nothing on gtk4. * A `VTE_PROPERTY_STRING` termprop stores a `G_TYPE_STRING` value. * A `VTE_PROPERTY_DATA` termprop stores a boxed `GBytes` value. * A `VTE_PROPERTY_UUID` termprop stores a boxed `VteUuid` value. * A `VTE_PROPERTY_URI` termprop stores a boxed `GUri` value. * A `VTE_PROPERTY_IMAGE` termprop stores a boxed #cairo_surface_t value on gtk3, and a boxed `GdkTexture` on gtk4.

Available since: 0.78

#### Parameters

`prop`

  Type: `const char*`

  A termprop name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`gvalue`

  Type: `GValue`

  A `GValue` to be filled in, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` iff the property has a value, with `gvalue` containig the property’s value.